Subject: Re: [PATCHv3 iproute2-next 0/5] iproute2: add libbpf support

From: Stephen Hemminger <[email-masked]>
Date: Tue, 3 Nov 2020 10:23:51 -0800

On Tue, 3 Nov 2020 09:47:00 -0800
Alexei Starovoitov <[email-masked]> wrote:

> On Tue, Nov 3, 2020 at 9:36 AM David Ahern <[email-masked]> wrote:
> >
> > On 11/3/20 1:46 AM, Daniel Borkmann wrote:  
> > > I thought last time this discussion came up there was consensus that the
> > > submodule could be an explicit opt in for the configure script at least?  
> >
> > I do not recall Stephen agreeing to that, and I certainly did not.  
> 
> Daniel,
> 
> since David is deaf to technical arguments,
> how about we fork iproute2 and maintain it separately?

A submodule is not a practical viable option.

Please come back when you are ready to use distro libbpf packages.
This seems a microcosm of the Linux packaging problem that was discussed
around Kubernetes and "vendorizaton"